/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_admin.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_admin (client_t *cl, int pargc, char *pargv[])
{
	char *str;
#if 0
	int rc;

	/* query remote server */
	rc = query_remote(sv,cl,pargv[1]);
	if (rc) return rc;
#endif

	ui.cl_send_numeric(cl, RPL_ADMINME, ui.Srv->name);

	str = ui.config_string("Admin", NULL, "Line1");
	ui.cl_send_numeric(cl, RPL_ADMINLOC1, str);

	str = ui.config_string("Admin", NULL, "Line2");
	ui.cl_send_numeric(cl, RPL_ADMINLOC2, str);

	str = ui.config_string("Admin", NULL, "Line3");
	ui.cl_send_numeric(cl, RPL_ADMINEMAIL, str);

	return 0;
}
