/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_info.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

static const char *infotext[] =
{
	"SIRCD --",
	"",
	"The current head developer of the source tree is:",
	"Zarjazz		Vincent Sweeney		<zarjazz@sircd.org>",
	"",
	"",
	"This is a development branch release so expect more bugs than an ant farm!",
	0,
};

int cmd_info (client_t *cl, int pargc, char *pargv[])
{
	const char **text = infotext;

	while (*text) ui.cl_send_numeric(cl, RPL_INFO, *text++);
	ui.cl_send_numeric(cl, RPL_ENDOFINFO);

	return 0;
}
