/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_notice.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_notice (client_t *cl, int pargc, char *pargv[])
{
	if (pargc >= 2) return send_msg(cl, pargv[1], pargv[2], false);

	if (pargc == 1)
		ui.cl_send_numeric(cl, ERR_NEEDMOREPARAMS, "NOTICE");
	else
		ui.cl_send_numeric(cl, ERR_NOTEXTTOSEND);

	return 1;
}
