/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_pass.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_pass (client_t *cl, int pargc, char *pargv[])
{
	char *passwd;

	if (bit_tst(cl,FL_REGISTERED)) { ui.cl_send_numeric(cl, ERR_ALREADYREGISTRED); return 1; }

	if (pargc <= 0) goto bail;
	passwd = pargv[1];

	/* copy the password */
	str_copy(cl->u.pass, passwd, sizeof(cl->u.pass));

	return 0;
bail:
	ui.cl_send_numeric(cl, ERR_NEEDMOREPARAMS, "PASS");
	return 1;
}
