/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_pong.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_pong (client_t *cl, int pargc, char *pargv[])
{
	/* reject a spurious pong */
	if ( !bit_tst(cl,FL_PING_SENT) ) return 1;

	/* remove flag */
	bit_clr(cl,FL_PING_SENT);

	return ui.client_pong(cl,pargv[1]);
}
