/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_kill.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_kill (client_t *cl, int pargc, char *pargv[])
{
	client_t *target;
	char *nick;

	if (pargc < 1) { ui.cl_send_numeric(cl, ERR_NEEDMOREPARAMS, "KILL"); return 1; }
	nick = pargv[1];

	/* client */
	target = ui.client_find(nick);
	if (!target) { ui.cl_send_numeric(cl, ERR_NOSUCHNICK, nick); return 1; }

	ui.client_exit(target,"Killed");
	return 0;
}
