/*
	Author	: Prefect
	Email	: prefect_@gmx.net
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001  Nicolai Haehnle
	----
	Read the LICENSE file for more details
	----
*/

#include <plugin.h>

int cmd_wallops (client_t *cl, int pargc, char *pargv[])
{
	char userhost[USERHOSTLEN];	/* nick!user@host of client */

	if (pargc < 1)
	{
		ui.cl_send_numeric(cl, ERR_NEEDMOREPARAMS, "WALLOPS");
		return 1;
	}

	/* generate the userhost */
	ui.client_userhost(cl,userhost,true);

	ui.all_send_fmt(FL_WALLOPS, ":%s WALLOPS :%s", userhost, pargv[1]);
	return 0;
}
