/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: plugin.h,v 1.8 2002/01/19 01:04:24 zarjazz Exp $
*/

#define __PLUGIN
#include <ircd_include.h>

#ifndef __PLUGIN_SV_BASE_H
#define __PLUGIN_SV_BASE_H

#ifdef __cplusplus
extern "C" {
#endif

/* Globals */
extern sv_ui_t ui;

/* Prototypes */
cmd_entry_t *init_server_interface (sv_ui_t *ui);

int msg_links	(client_t *sv, int pargc, char *pargv[]);
int msg_mode	(client_t *sv, int pargc, char *pargv[]);
int msg_msg		(client_t *sv, int pargc, char *pargv[]);
int msg_njoin	(client_t *sv, int pargc, char *pargv[]);
int msg_notice	(client_t *sv, int pargc, char *pargv[]);
int msg_npart	(client_t *sv, int pargc, char *pargv[]);
int msg_pass	(client_t *sv, int pargc, char *pargv[]);
int msg_ping	(client_t *sv, int pargc, char *pargv[]);
int msg_pong	(client_t *sv, int pargc, char *pargv[]);
int msg_server	(client_t *sv, int pargc, char *pargv[]);
int msg_sync	(client_t *sv, int pargc, char *pargv[]);
int msg_topic	(client_t *sv, int pargc, char *pargv[]);
int msg_user	(client_t *sv, int pargc, char *pargv[]);

client_t *get_prefix (char *prefix);


#ifdef __cplusplus
}
#endif

#endif /* __PLUGIN_SV_BASE_H */
