Summary: A threaded irc daemon.
Name: sircd
Version: 0.4.0
Release: 1
License: GPL
Group: Applications/Communications
URL: http://www.sircd.org/
Source: sircd-%{version}.tar.gz
#Patch:
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: openssl

%description
A multi threaded irc daemon with SSL support

%prep
%setup -q 
#%patch -p1

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/sircd
mkdir -p $RPM_BUILD_ROOT/usr/local/sircd/plugins

install -m 644 AUTHORS		$RPM_BUILD_ROOT/usr/local/sircd
install -m 644 ChangeLog	$RPM_BUILD_ROOT/usr/local/sircd
install -m 644 COPYING		$RPM_BUILD_ROOT/usr/local/sircd
install -m 644 LICENSE		$RPM_BUILD_ROOT/usr/local/sircd
install -m 644 README		$RPM_BUILD_ROOT/usr/local/sircd
install -m 644 TODO		$RPM_BUILD_ROOT/usr/local/sircd

install -m 755 sircd/sircd		$RPM_BUILD_ROOT/usr/local/sircd
install -m 644 sircd/sircd.conf		$RPM_BUILD_ROOT/usr/local/sircd
install -m 755 syscore/libsyscore.so	$RPM_BUILD_ROOT/usr/local/sircd
install -m 755 plugins/cl_base.so	$RPM_BUILD_ROOT/usr/local/sircd/plugins
install -m 755 plugins/cl_oper.so	$RPM_BUILD_ROOT/usr/local/sircd/plugins
install -m 755 plugins/sv_base.so	$RPM_BUILD_ROOT/usr/local/sircd/plugins

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)

/usr/local/sircd/AUTHORS
/usr/local/sircd/ChangeLog
/usr/local/sircd/COPYING
/usr/local/sircd/LICENSE
/usr/local/sircd/README
/usr/local/sircd/TODO

/usr/local/sircd/sircd
/usr/local/sircd/sircd.conf
/usr/local/sircd/libsyscore.so
/usr/local/sircd/plugins/cl_base.so
/usr/local/sircd/plugins/cl_oper.so
/usr/local/sircd/plugins/sv_base.so

%changelog
