/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: ircd_config.h,v 1.2 2002/01/13 21:33:36 zarjazz Exp $
*/

#ifndef __SRV_CONFIG_H
#define __SRV_CONFIG_H

#ifdef __cplusplus
extern "C" {
#endif


/* Prototypes */
#ifndef __PLUGIN
	block_t *	init_ircd_config		(const char *fname);

	void	ircd_config_register	(conf_block_t *block);
	void	ircd_config_check	(block_t *root);
	char *	ircd_config_string	(block_t *root, const char *block, const char *block_arg, const char *arg);
	char *	config_string		(const char *block, const char *block_arg, const char *arg);
#endif /* __PLUGIN */


#ifdef __cplusplus
}
#endif

#endif /* __SRV_CONFIG_H */	 
