/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id $
*/

/* SSL */
#define HAVE_SSL

/* EPOLL */
#ifdef __linux__
  #define HAVE_EPOLL
#endif

/* OS socket buffer sizes */
#ifdef WINVER
  #define CLIENT_BUFFER		(1024 * 4)
  #define CLIENT_BUFFER_SSL	(1024 * 8)
#else
  #define CLIENT_BUFFER		(1024 * 2)
  #define CLIENT_BUFFER_SSL	(1024 * 4)
#endif

#define SERVER_BUFFER		(1024 * 64)

/* Global Network Settings */
#define NET_MAX_SERVERS		(128)
#define NET_MAX_CLIENTS		(1024 * 128)
#define NET_MAX_CHANNELS	(1024 * 64)

#define HOSTLEN		64
#define NICKLEN		24
#define USERLEN		16
#define INFOLEN		32

#define PASSLEN		20
#define KEYLEN		16

#define CHANLEN		40
#define TOPICLEN	128
#define BANLEN		128
