/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_away.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_away (client_t *cl, int pargc, char *pargv[])
{
	char *msg = pargv[1];

	if (msg)
	{
		msg = str_strip(msg);
		if (*msg)
		{
			/* set away message */
			str_copy(cl->u.away, msg, sizeof(cl->u.away));
			ui.cl_send_numeric(cl, RPL_NOWAWAY);
			return 0;
		}
	}

	/* remove away */
	if (cl->u.away[0])
	{
		cl->u.away[0] = '\0';
		ui.cl_send_numeric(cl, RPL_UNAWAY);
	}

	return 0;
}
