/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_lusers.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_lusers (client_t *cl, int pargc, char *pargv[])
{
	ui.cl_send_numeric(cl, RPL_LUSERCLIENT,
		ui.UserStats->N_users - ui.UserStats->N_invis, ui.UserStats->N_invis, ui.UserStats->N_servs);
	ui.cl_send_numeric(cl, RPL_LUSEROP, ui.UserStats->N_opers);
	ui.cl_send_numeric(cl, RPL_LUSERCHANNELS, ui.UserStats->N_chans);

#if 0
	ui.cl_send_numeric(cl, RPL_LUSERME, ui.UserStats->N_local_users, ui.UserStats->N_local_servers);
#endif

	ui.cl_send_fmt(cl, ":%s NOTICE %s :Highest connection count: %d clients",
		ui.Srv->name, ui.Srv->name, ui.UserStats->N_max_users);

	return 0;
}	
