/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_ping.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_ping (client_t *cl, int pargc, char *pargv[])
{
	if (pargc < 1) goto bail;

	/* FIXME: parse arguments / server correctly */

	/* send pong reply */
	if (pargv[2])
		ui.cl_send_fmt(cl, ":%s PONG %s :%s", ui.Srv->name, pargv[2], pargv[1]);
	else
		ui.cl_send_fmt(cl, ":%s PONG :%s", ui.Srv->name, pargv[1]);

	return 0;
bail:
	ui.cl_send_numeric(cl, ERR_NEEDMOREPARAMS, "PING");
	return 1;
}
