/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_stats.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_stats (client_t *cl, int pargc, char *pargv[])
{
	char ch;

	if (pargc < 1) goto bail;
	ch = pargv[1][0];

	/* stat-switch-tastic */
	switch (ch)
	{

	case 'z':
	case 'Z':
		ui.debug_memory(cl);
		break;
	default:
		break;
	}

	ui.cl_send_numeric(cl, RPL_ENDOFSTATS, ch);
	return 0;
bail:
	ui.cl_send_numeric(cl, ERR_NEEDMOREPARAMS, "STATS");
	return 1;
}	
