/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: plugin.h,v 1.5 2002/01/13 21:33:36 zarjazz Exp $
*/

#define __PLUGIN
#include <ircd_include.h>


#ifndef __PLUGIN_CL_OPER_H
#define __PLUGIN_CL_OPER_H

#ifdef __cplusplus
extern "C" {
#endif

/* Globals */

extern cl_ui_t ui;

/* Prototypes */
cmd_entry_t *init_client_interface (cl_ui_t *ui);

int cmd_die			(client_t *cl, int pargc, char *pargv[]);
int cmd_gline		(client_t *cl, int pargc, char *pargv[]);
int cmd_kill		(client_t *cl, int pargc, char *pargv[]);
int cmd_oper		(client_t *cl, int pargc, char *pargv[]);
int cmd_rehash		(client_t *cl, int pargc, char *pargv[]);
int cmd_restart		(client_t *cl, int pargc, char *pargv[]);
int cmd_wallops		(client_t *cl, int pargc, char *pargv[]);


#ifdef __cplusplus
}
#endif

#endif /* __PLUGIN_CL_OPER_H */
