/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: cmd_die.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All cmd_* functions are called with the client read lock set *
 ****************************************************************/

int cmd_die (client_t *cl, int pargc, char *pargv[])
{
	char userhost[USERHOSTLEN];	/* nick!user@host of client */

	/* generate the userhost */
	ui.client_userhost(cl,userhost,true);

	/* notify all '+s' users about new operator */
	ui.server_notice("DIE activated by", userhost);

	ui.ircd_terminate();
	return 0;
}
