/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: msg_pass.c,v 1.4 2002/01/15 23:04:42 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All msg_* functions are called with the client read lock set *
 ****************************************************************/

int msg_pass (client_t *sv, int pargc, char *pargv[])
{
	char *passwd;

	if (bit_tst(sv,FL_REGISTERED)) { ui.sv_send_numeric(sv, ERR_ALREADYREGISTRED); return 1; }

	if (pargc < 3) { ui.sv_send_numeric(sv, ERR_NEEDMOREPARAMS, "PASS"); return 1; }
	passwd = pargv[1];

	/* copy the password */
	str_copy(sv->u.pass, passwd, sizeof(sv->u.pass));

	return 0;
}
