/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: msg_ping.c,v 1.4 2002/01/17 23:41:08 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All msg_* functions are called with the client read lock set *
 ****************************************************************/

int msg_ping (client_t *sv, int pargc, char *pargv[])
{
	if (pargc < 1) { ui.sv_send_numeric(sv, ERR_NEEDMOREPARAMS, "PING"); return 1; }

	/* FIXME: parse arguments / server correctly */

	/* send pong reply */
	if (pargv[2])
		ui.sv_send_fmt(sv, ":%s PONG %s :%s", ui.Srv->name, pargv[2], pargv[1]);
	else
		ui.sv_send_fmt(sv, ":%s PONG :%s", ui.Srv->name, pargv[1]);

	return 0;
}
