/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: msg_pong.c,v 1.3 2002/01/13 21:33:36 zarjazz Exp $
*/

#include <plugin.h>

/****************************************************************
 * All msg_* functions are called with the client read lock set *
 ****************************************************************/

int msg_pong (client_t *sv, int pargc, char *pargv[])
{
	/* reject a spurious pong */
	if ( !bit_tst(sv,FL_PING_SENT) ) return 1;

	/* remove flag */
	bit_clr(sv,FL_PING_SENT);

	return ui.server_pong(sv,pargv[1]);
}
