/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: ircd_callbacks.h,v 1.4 2002/01/13 21:33:36 zarjazz Exp $
*/

#ifndef __SRV_CALLBACKS_H
#define __SRV_CALLBACKS_H

#ifdef __cplusplus
extern "C" {
#endif


/* Prototypes */
#ifndef __PLUGIN
	void callback_client_accept		(void *arg1, void *arg2);
	void callback_server_accept		(void *arg1, void *arg2);
	void callback_client_read		(void *arg1, void *arg2);
	void callback_client_send		(void *arg1, void *arg2);
	void callback_client_exit		(void *arg1, void *arg2);
	void callback_server_exit		(void *arg1, void *arg2);
	void callback_invite_remove		(void *arg1, void *arg2);
	void callback_ban_remove		(void *arg1, void *arg2);
	void callback_remove_indexes	(void *arg1, void *arg2);
	void callback_set_nick			(void *arg1, void *arg2);
	void callback_ircd_rehash		(void *arg1, void *arg2);
#endif /* __PLUGIN */


#ifdef __cplusplus
}
#endif

#endif /* __SRV_CALLBACKS_H */	 
