/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/

	Copyright (C) 2001,2002  Vincent Sweeney
	----
	Read the LICENSE file for more details
	----
	$Id: net_ssl.h,v 1.2 2002/01/13 21:33:36 zarjazz Exp $
*/

#ifndef __NET_SSL_H
#define __NET_SSL_H

#ifdef __cplusplus
extern "C" {
#endif

#ifdef HAVE_SSL


/* Prototypes */
#ifndef __PLUGIN
	void	init_ssl	(void);

	int		ssl_send	(sys_pkt_t *pkt, SSL *ssl);
	int		ssl_read	(sys_pkt_t *pkt, SSL *ssl, struct sockaddr *src, size_t len);
#endif /* __PLUGIN */


#endif /* HAVE_SSL */

#ifdef __cplusplus
}
#endif

#endif /* __NET_SSL_H */	 
