/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/
	----
	$Id: sys_array.h,v 1.4 2001/11/27 21:58:33 zarjazz Exp $
*/

#ifndef __SYS_ARRAY_H
#define __SYS_ARRAY_H

#ifdef __cplusplus
extern "C" {
#endif


/* Typedefs */

typedef struct array_s
{
	/* structure data */
	int32_t	nblk;
	int32_t	ndim;
	/* user data */
	int32_t	nitems;
	byte *	list;
} array_t;

/* Prototypes */

DLL_API	array_t *	array_init	(array_t *array, u_int32_t block_size);

DLL_API	void		array_add_item	(array_t *array, void *item, size_t item_len);
DLL_API	void		array_del_item	(array_t *array, void *item, size_t item_len);


#ifdef __cplusplus
}
#endif

#endif /* __SYS_ARRAY_H */	 
