/*
	Author	: Zarjazz
	Email	: zarjazz@sircd.org
	WebPage	: http://www.sircd.org/
	----
	$Id: sys_string.h,v 1.3 2001/05/24 20:13:23 zarjazz Exp $
*/

#ifndef __SYS_STRING_H
#define __SYS_STRING_H

#ifdef __cplusplus
extern "C" {
#endif


/* Prototypes */

DLL_API	char *	str_strip	(char *str);
DLL_API	char *	str_copy	(char *dst, const char *src, int dst_len);
DLL_API	char *	str_extract	(char *dst, const char *src, int dst_len);
DLL_API	char *	str_extract_valid (char *dst, const char *src, int dst_len, int (*func) (int));
DLL_API char *	str_extract_alnum (char *dst, const char *src, int dst_len);
DLL_API char *	str_extract_graph (char *dst, const char *src, int dst_len);
DLL_API	char *	str_dup		(const char *src);
DLL_API	bool	str_match	(const char *str, const char *reg, bool case_sensitive);


#ifdef __cplusplus
}
#endif

#endif /* __SYS_STRING_H */	 
